QGIS Application - Feature request #3911
WMS Provider obtained in QgsWMSSourceSelect should be passed to QgsRasterLayer
2006-03-24 01:18 PM - Brendan Morley -

Status: Closed

Priority: Low

Assignee: Brendan Morley -

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13935
Description

Currently one WMS Provider gets invoked as part of [[QgsServerSourceSelect]] and a second is invoked in [[QgsRasterLayer]] one a
WMS server is selected.

Unfortunately this means the WMS Capabilities gets downloaded twice, which is wasteful and shows up as a small delay (unexplained in
the GUI) once the user selected their layers from the WMS server.

This is not a bug, therefore can slip the 0.8 release.

History

#1 - 2006-08-19 03:30 AM - Gavin Macaulay -

This behaviour contributes to the problem in ticket #8.

#2 - 2009-03-24 04:00 AM - Paolo Cavallini

Is this still true?

#3 - 2009-04-11 11:40 PM - Paolo Cavallini

Yes.

#4 - 2011-04-16 11:10 AM - Paolo Cavallini
- Resolution set to fixed
- Status changed from Open to Closed

#5 - 2011-04-16 11:50 AM - Paolo Cavallini
- Status changed from Closed to Feedback

- Resolution deleted (fixed)

#6 - 2011-04-17 06:59 AM - Jiirgen Fischer

- Status changed from Feedback to Closed
- Resolution set to fixed

fixed in commit:a168fb98 (SVN r15748).
